## GOFontSel

GOFontSel

## Functions

void | go_font_sel_editable_enters ()
GOColor | go_font_sel_get_color ()
GOFont const * | go_font_sel_get_font ()
GtkWidget * | go_font_sel_new ()
void | go_font_sel_set_font ()
void | go_font_sel_set_sample_text ()
void | go_font_sel_set_color ()
void | go_font_sel_set_script ()

## Properties

guint | color-default | Read / Write / Construct Only
GOColorGroup * | color-group | Read / Write / Construct Only
char * | color-unset-text | Read / Write / Construct Only
gboolean | show-color | Read / Write / Construct Only
gboolean | show-script | Read / Write / Construct Only
gboolean | show-strikethrough | Read / Write / Construct Only
gboolean | show-style | Read / Write / Construct Only
gboolean | show-underline | Read / Write / Construct Only
GtkWidget * | underline-picker | Read / Write / Construct Only

## Signals

void | font-changed | Run Last

## Types and Values

| GOFontSel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOFontSel

## Implemented Interfaces

GOFontSel implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkFontChooser.

## Description

## Functions

### go_font_sel_editable_enters ()

    void
    go_font_sel_editable_enters (GOFontSel *fs,
                                 GtkWindow *dialog);

### go_font_sel_get_color ()

    GOColor
    go_font_sel_get_color (GOFontSel *gfs);

### go_font_sel_get_font ()

    GOFont const *
    go_font_sel_get_font (GOFontSel const *fs);

### go_font_sel_new ()

    GtkWidget *
    go_font_sel_new (void);

### go_font_sel_set_font ()

    void
    go_font_sel_set_font (GOFontSel *fs,
                          GOFont const *font);

### go_font_sel_set_sample_text ()

    void
    go_font_sel_set_sample_text (GOFontSel *fs,
                                 char const *text);

### go_font_sel_set_color ()

    void
    go_font_sel_set_color (GOFontSel *gfs,
                           GOColor c,
                           gboolean is_default);

### go_font_sel_set_script ()

    void
    go_font_sel_set_script (GOFontSel *fs,
                            GOFontScript script);

## Types and Values

### GOFontSel

    typedef struct _GOFontSel GOFontSel;

## Property Details

### The `“color-default”` property

      “color-default”            guint

The color to show for an unset color.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: 255

### The `“color-group”` property

      “color-group”              GOColorGroup *

The color group to use for the color picker.

Owner: GOFontSel

Flags: Read / Write / Construct Only

### The `“color-unset-text”` property

      “color-unset-text”         char *

The text to show for selecting no color.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: NULL

### The `“show-color”` property

      “show-color”               gboolean

Whether color is part of the font being selected.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“show-script”` property

      “show-script”              gboolean

Whether subscript/superscript is part of the font being selected.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“show-strikethrough”` property

      “show-strikethrough”       gboolean

Whether strikethrough is part of the font being selected.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“show-style”` property

      “show-style”               gboolean

Whether style is part of the font being selected.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“show-underline”` property

      “show-underline”           gboolean

Whether underlining is part of the font being selected.

Owner: GOFontSel

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“underline-picker”` property

      “underline-picker”         GtkWidget *

The widget to use for picking underline type.

Owner: GOFontSel

Flags: Read / Write / Construct Only

## Signal Details

### The `“font-changed”` signal

    void
    user_function (GOFontSel *gofontsel,
                   gpointer   arg1,
                   gpointer   user_data)

Flags: Run Last